Subject: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Drew Adams <[email-masked]>
Date: Tue, 29 Apr 2014 16:00:10 -0700 (PDT)

> Sorry to be mentioning this after you committed your changes, but I
> wanted to comment about the impact of these changes on new users.
> Difficulty specifying key bindings correctly is fairly common among
> newer users, and I think that this difficulty is worsened by
> occurrences in the documentation of non-canonical (with respect to
> kbd arguments) key notation.  There's an EmacsWiki page[0] about key
> binding notation that reads in part, "Use C-h k to find out how Emacs
> describes the key sequence, and copy & paste that into your kbd
> string."  It would be good if the info manual used the same notation.
> 
> http://www.emacswiki.org/cgi-bin/wiki?KeyBindingNotation

That's what the discussion here after Eli's fix has been about.

But this is not really the best place to discuss or propose it.
Why don't you file another bug for this?

I have brought it up before, in emacs-devel and perhaps in one or
more bug reports, but maybe there is another chance for such a
simplification.

Unfortunately, Eli opposes it so far, and he is no doubt the
person the most interested in working on the manual (and the most
familiar with it and with its build tools).  But AFAIK that does
not necessarily mean that the question is closed forever.